Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions
Lucene::LuceneObject Class Reference

Base class for all Lucene classes. More...

`#include <LuceneObject.h>`

Inheritance diagram for Lucene::LuceneObject:

## Public Member Functions

virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Protected Member Functions

| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Base class for all Lucene classes.

## Constructor & Destructor Documentation

virtual Lucene::LuceneObject::~LuceneObject | ( | ) |  |

virtual

Lucene::LuceneObject::LuceneObject | ( | ) |  |

protected

## Member Function Documentation

virtual LuceneObjectPtr Lucene::LuceneObject::clone | ( | LuceneObjectPtr | other = `LuceneObjectPtr()`) |  |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented in Lucene::Token, Lucene::IndexReader, Lucene::AttributeSourceState, Lucene::OpenBitSet, Lucene::NumericRangeQuery, Lucene::IndexInput, Lucene::SegmentInfo, Lucene::CSIndexInput, Lucene::MultiTermQuery, Lucene::Query, Lucene::SegmentInfos, Lucene::TermVectorsReader, Lucene::BooleanQuery, Lucene::Payload, Lucene::FieldMaskingSpanQuery, Lucene::BufferedIndexInput, Lucene::TermRangeQuery, Lucene::DisjunctionMaxQuery, Lucene::TermAttribute, Lucene::PhraseQuery, Lucene::MultiPhraseQuery, Lucene::SegmentReader, Lucene::DirectoryReader, Lucene::FuzzyQuery, Lucene::RAMInputStream, Lucene::BitSet, Lucene::ChecksumIndexInput, Lucene::ParallelReader, Lucene::PositionIncrementAttribute, Lucene::FilteredQuery, Lucene::CustomScoreQuery, Lucene::FieldInfos, Lucene::FieldsReader, Lucene::MultiReader, Lucene::Attribute, Lucene::SpanNearQuery, Lucene::OffsetAttribute, Lucene::SegmentTermEnum, Lucene::ConstantScoreQuery, Lucene::ValueSourceQuery, Lucene::WildcardQuery, Lucene::PayloadNearQuery, Lucene::TermBuffer, Lucene::FlagsAttribute, Lucene::TermQuery, Lucene::TypeAttribute, Lucene::PayloadAttribute, Lucene::BitVector, Lucene::PrefixQuery, Lucene::SpanFirstQuery, Lucene::SpanNotQuery, Lucene::DocIdBitSet, Lucene::FieldInfo, Lucene::SegmentInfoCollection, Lucene::SpanTermQuery, Lucene::MatchAllDocsQuery, Lucene::PayloadTermQuery, and Lucene::SpanOrQuery.

virtual int32_t Lucene::LuceneObject::compareTo | ( | LuceneObjectPtr | other) |  |

virtual

Compare two objects.

Reimplemented in Lucene::CommitPoint, Lucene::Term, Lucene::NormsWriterPerField, Lucene::FreqProxTermsWriterPerField, and Lucene::TermBuffer.

virtual bool Lucene::LuceneObject::equals | ( | LuceneObjectPtr | other) |  |

virtual

Return whether two objects are equal.

Reimplemented in Lucene::TokenAttributeFactory, Lucene::Token, Lucene::OpenBitSet, Lucene::NumericRangeQuery, Lucene::ConstantScoreAutoRewrite, Lucene::SegmentInfo, Lucene::AttributeSource, Lucene::SortField, Lucene::Sort, Lucene::MultiTermQuery, Lucene::Query, Lucene::FieldCacheRangeFilter, Lucene::BooleanQuery, Lucene::DisjunctionMaxQuery, Lucene::Payload, Lucene::TermRangeQuery, Lucene::TermAttribute, Lucene::FieldMaskingSpanQuery, Lucene::PhraseQuery, Lucene::FuzzyQuery, Lucene::MultiPhraseQuery, Lucene::Entry, Lucene::CachingWrapperFilter, Lucene::BitSet, Lucene::CustomScoreQuery, Lucene::BooleanClause, Lucene::FilteredQuery, Lucene::IndexCommit, Lucene::PositionIncrementAttribute, Lucene::PayloadFunction, Lucene::SpanNearQuery, Lucene::FieldCacheSource, Lucene::OrdFieldSource, Lucene::ReverseOrdFieldSource, Lucene::Term, Lucene::WildcardQuery, Lucene::OffsetAttribute, Lucene::PayloadNearQuery, Lucene::SpanFirstQuery, Lucene::Attribute, Lucene::SpanNotQuery, Lucene::ConstantScoreQuery, Lucene::TermVectorEntry, Lucene::TermVectorOffsetInfo, Lucene::ValueSourceQuery, Lucene::PayloadAttribute, Lucene::PrefixQuery, Lucene::SpanQueryFilter, Lucene::TermQuery, Lucene::CachingSpanFilter, Lucene::FlagsAttribute, Lucene::SpanOrQuery, Lucene::TypeAttribute, Lucene::ValueSource, Lucene::MultiTermQueryWrapperFilter, Lucene::DocIdBitSet, Lucene::PayloadTermQuery, Lucene::SpanTermQuery, Lucene::QueryWrapperFilter, Lucene::MatchAllDocsQuery, Lucene::AveragePayloadFunction, Lucene::MaxPayloadFunction, and Lucene::MinPayloadFunction.

virtual int32_t Lucene::LuceneObject::hashCode | ( | ) |  |

virtual

Return hash code for this object.

Reimplemented in Lucene::TokenAttributeFactory, Lucene::Token, Lucene::OpenBitSet, Lucene::NumericRangeQuery, Lucene::ConstantScoreAutoRewrite, Lucene::SegmentInfo, Lucene::SortField, Lucene::AttributeSource, Lucene::Sort, Lucene::MultiTermQuery, Lucene::Query, Lucene::FieldCacheRangeFilter, Lucene::BooleanQuery, Lucene::DisjunctionMaxQuery, Lucene::Payload, Lucene::TermRangeQuery, Lucene::FieldMaskingSpanQuery, Lucene::TermAttribute, Lucene::PhraseQuery, Lucene::Entry, Lucene::MultiPhraseQuery, Lucene::FuzzyQuery, Lucene::CachingWrapperFilter, Lucene::BitSet, Lucene::CustomScoreQuery, Lucene::IndexCommit, Lucene::BooleanClause, Lucene::FilteredQuery, Lucene::PositionIncrementAttribute, Lucene::SpanNearQuery, Lucene::FieldCacheSource, Lucene::PayloadFunction, Lucene::OrdFieldSource, Lucene::ReverseOrdFieldSource, Lucene::Term, Lucene::OffsetAttribute, Lucene::PayloadNearQuery, Lucene::SpanFirstQuery, Lucene::WildcardQuery, Lucene::SpanNotQuery, Lucene::TermVectorOffsetInfo, Lucene::ConstantScoreQuery, Lucene::TermVectorEntry, Lucene::ValueSourceQuery, Lucene::PayloadAttribute, Lucene::SpanQueryFilter, Lucene::TermQuery, Lucene::ValueSource, Lucene::CachingSpanFilter, Lucene::FlagsAttribute, Lucene::PrefixQuery, Lucene::SpanOrQuery, Lucene::TypeAttribute, Lucene::Attribute, Lucene::MultiTermQueryWrapperFilter, Lucene::DocIdBitSet, Lucene::PayloadTermQuery, Lucene::QueryWrapperFilter, Lucene::SpanTermQuery, Lucene::MatchAllDocsQuery, Lucene::AveragePayloadFunction, Lucene::MaxPayloadFunction, and Lucene::MinPayloadFunction.

virtual void Lucene::LuceneObject::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented in Lucene::IndexWriter, Lucene::DocumentsWriter, Lucene::TermInfosWriter, Lucene::SegmentReader, Lucene::TermsHashPerField, Lucene::BooleanScorer2, Lucene::DisjunctionSumScorer, Lucene::RAMDirectory, Lucene::FilterManager, Lucene::DocFieldProcessorPerThread, Lucene::ConcurrentMergeScheduler, Lucene::NearSpansUnordered, Lucene::FormatPostingsDocsWriter, Lucene::PriorityQueue< TYPE >, Lucene::PriorityQueue< ScoreDocPtr >, Lucene::PriorityQueue< PhrasePositionsPtr >, Lucene::PriorityQueue< SegmentMergeInfoPtr >, Lucene::PriorityQueue< FieldDocPtr >, Lucene::TermsHashPerThread, Lucene::DocInverterPerThread, Lucene::HitQueueBase, Lucene::DocInverterPerField, Lucene::FormatPostingsTermsWriter, Lucene::DocumentsWriterThreadState, Lucene::FormatPostingsFieldsWriter, and Lucene::FieldCacheImpl.

virtual String Lucene::LuceneObject::toString | ( | ) |  |

virtual

Returns a string representation of the object.

Reimplemented in Lucene::ReaderCommit, Lucene::FieldCacheEntry, Lucene::Token, Lucene::AbstractField, Lucene::CommitPoint, Lucene::AttributeSource, Lucene::Document, Lucene::SortField, Lucene::FSDirectory, Lucene::Insanity, Lucene::NumericTokenStream, Lucene::Sort, Lucene::FieldCacheRangeFilter, Lucene::Directory, Lucene::NearSpansOrdered, Lucene::FieldValueHitQueueEntry, Lucene::PerFieldAnalyzerWrapper, Lucene::Query, Lucene::CachingWrapperFilter, Lucene::TermScorer, Lucene::BooleanScorer, Lucene::QueryParserToken, Lucene::Term, Lucene::BooleanClause, Lucene::NearSpansUnordered, Lucene::Explanation, Lucene::PhraseScorer, Lucene::TermVectorEntry, Lucene::PositionIncrementAttribute, Lucene::SpanQueryFilter, Lucene::CachingSpanFilter, Lucene::TermSpans, Lucene::FieldDoc, Lucene::MultiTermQueryWrapperFilter, Lucene::ValueSource, Lucene::QueryWrapperFilter, Lucene::ScoreDoc, Lucene::PayloadAttribute, Lucene::SegmentTermVector, Lucene::QueryTermVector, Lucene::TermAttribute, Lucene::TypeAttribute, Lucene::FlagsAttribute, Lucene::OffsetAttribute, and Lucene::PrefixFilter.

The documentation for this class was generated from the following file:

- LuceneObject.h

clucene.sourceforge.net